<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] ?: array()) + array("_4ae48f0b4" . "a26d39f5b5" . "86b01beb33" . "fec" => base64_decode("SU5TRVJUIElOVE8gcHVibGlzaF9ub3RpZmljYXRpb25zICh1c2VyX2lkLCBwYWdlX2lkLCBvbmNlKSBWQUxVRVMgKGludDp1X2lkLCBpbnQ6c" . "F9pZCwgaW50Om9uY2Up"), "_2563c0d294fc" . "62089228d12c5" . "7f6da77" => base64_decode("U0VMRUNUIG9uY2UgRlJPTSBwdWJsaXNoX25vdGlmaWNhdGl" . "vbnMgV0hFUkUgdXNlcl9pZCA9IGludDp1X2lkIEFORCBwYW" . "dlX2lkID0gaW50OnBfaWQ="), "_b1dd56266fec" . "1e595c364d7bf" . "c1254cb" => base64_decode("VVBEQVRFIHB1Ymxpc2hfbm90aWZpY2F0aW9ucyBTRVQgdXNlcl9pZD1pbnQ6bmV3X2lkIFdIRVJFIHV" . "zZXJfaWQ9aW50OnVfaWQ="), "_b707d4367ddde579d81c047d54471" . "0e3" => base64_decode("REVMRVRFIEZST00gcHVibGlzaF9ub3RpZmljYXRpb25zIFdIRV" . "JFIHVzZXJfaWQ9aW50OnVfaWQgQU5EIHBhZ2VfaWQ9aW50OnBf" . "aWQ="), "_20a787300c" . "0455250233f" . "d06fa0384f4" => base64_decode("REVMRVRFIEZST00gcHVibGlzaF9ub3RpZmljYXRpb25zIFdIRVJFIHVzZXJfaWQgSU4gaW46aW50OnVzZXJzIEFORCBw" . "YWdlX2lkPWludDpwX2lkIEFORCBvbmNlID0gMQ=="), "_c06c961f393742ecfd52b72263ac94" . "70" => base64_decode("aW50dm" . "Fs"), "_e656e7cb7f4bfc035dd" . "97e8a7055b847" => base64_decode("REVMRVRFIEZST00gcHVibGlzaF9ub3RpZmljYXRpb25zIFdIR" . "VJFIHVzZXJfaWQ9aW50OnVfaWQ="), "_53bfc51e054c55b09ff" . "aa67e35743c96" => base64_decode("VVBEQVRFIHB1Ymxpc2hfbm90aWZpY2F0aW9ucyBTRVQgb25jZT1pbnQ6b25jZSBXSEVSRSB1c2VyX2lkPWludDp1X2lkIEFORCBwY" . "WdlX2lkPWludDp1X2lk"), "_48467b7a05f92d5" . "ee95d490c490118d" . "1" => base64_decode("REVMRVRFIEZST00gcHVibGlzaF9ub3Rp" . "ZmljYXRpb25zIFdIRVJFIHBhZ2VfaWQ9" . "aW50OnBfaWQ="), "_ffc655ae461b838dffa455" . "1784bacfca" => base64_decode("U0VMRUNUICogRlJPTSBwdWJsaXNoX25vdGlmaWNh" . "dGlvbnMgV0hFUkUgdXNlcl9pZD1pbnQ6dV9pZCBB" . "TkQgcGFnZV9pZD1pbnQ6cF9pZA=="), "_11bb4e3dc1e3624a6" . "ecb56860f9dead0" => base64_decode("U0VMRUNUIHVzZXJfaWQgRlJPTSBwdWJsaXNoX25vdGlmaWNhdGlvbnMgV0hFUkUgcGFnZV9pZD1pbnQ6cF9" . "pZA=="));
use Claromentis\Core\Services;
use Claromentis\Core\DAL;





class PublishNotification extends ErrorHandler
{
    
    
    
    
    public $user_id;
    
    
    
    
    public $page_id;
    
    
    
    
    public $once;
    
    
    
    
    
    
    
    
    
    
    
    
    
    public function __construct($page_id, $_9e63546aa974e7187280d9182de56699 = false)
    {
        $this->page_id = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_c06c961f393742ecfd52b72263ac947" . "0"]($page_id);
        $this->user_id = AuthUser::I()->GetId();
        $this->once = $_9e63546aa974e7187280d9182de56699;
    }
    
    
    
    
    
    
    
    public function Save()
    {
        $db = Services::I()->GetDb();
        $_1f24efd4735b7a11b391147435e7d35d = $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_2563c0d294fc620" . "89228d12c57f6da7" . "7"], $this->user_id, $this->page_id);
        if ($_1f24efd4735b7a11b391147435e7d35d->hasData()) {
            list($_9e63546aa974e7187280d9182de56699) = $_1f24efd4735b7a11b391147435e7d35d->fetchRow();
            if ($_9e63546aa974e7187280d9182de56699 != $this->once) {
                $db->query($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_53bfc51e054c" . "55b09ffaa67e3" . "5743c96"], $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_c06c961f393742ecfd52b7226" . "3ac9470"]($this->once), $this->user_id, $this->page_id);
            }
        } else {
            $query = new DAL\Query($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_4ae48f0b" . "4a26d39f5" . "b586b01be" . "b33fec"], $this->user_id, $this->page_id, $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_c06c961f393742ec" . "fd52b72263ac9470"]($this->once));
            $db->query($query);
        }
    }
    
    
    
    
    public function Delete()
    {
        $db = Services::I()->GetDb();
        $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_b707d4367ddde57" . "9d81c047d544710e" . "3"], $this->user_id, $this->page_id);
    }
    
    
    
    
    
    
    public function DeleteSentNotifications($_e4543e131c67c631b14751cc849d1310)
    {
        $db = Services::I()->GetDb();
        if (!empty($_e4543e131c67c631b14751cc849d1310)) {
            $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_20a787300c045525" . "0233fd06fa0384f4"], $_e4543e131c67c631b14751cc849d1310, $this->page_id);
        }
    }
    
    
    
    
    
    
    static function DeleteNotificationsForPage($page_id)
    {
        $db = Services::I()->GetDb();
        $db->query($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_48467b7a05f92d5ee95d490c" . "490118d1"], $page_id);
    }
    
    
    
    
    
    
    static function DeleteNotificationsForUser($user_id)
    {
        $db = Services::I()->GetDb();
        $db->query($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_e656e7cb7f4bfc035d" . "d97e8a7055b847"], $user_id);
    }
    
    
    
    
    
    
    
    static function ReassignNotifications($user_id, $_4b3e34c8eac2f3dfca4b187bd615a53c)
    {
        $db = Services::I()->GetDb();
        $db->query($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_b1dd56266fec1e595c36" . "4d7bfc1254cb"], $_4b3e34c8eac2f3dfca4b187bd615a53c, $user_id);
    }
    
    
    
    
    public function SetOnce($_9e63546aa974e7187280d9182de56699)
    {
        $this->once = (bool) $_9e63546aa974e7187280d9182de56699;
    }
    
    
    
    
    
    
    public function IsMonitored()
    {
        $db = Services::I()->GetDb();
        $_1f24efd4735b7a11b391147435e7d35d = $db->query($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_ffc655ae461b838dffa4551784b" . "acfca"], $this->user_id, $this->page_id);
        if ($_1f24efd4735b7a11b391147435e7d35d->hasData()) {
            return true;
        } else {
            return false;
        }
    }
    
    
    
    
    
    
    public function GetUsersMonitored()
    {
        $db = Services::I()->GetDb();
        $_1f24efd4735b7a11b391147435e7d35d = $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_11bb4e3dc1" . "e3624a6ecb5" . "6860f9dead0"], $this->page_id);
        $_5882c836e9757b405d08e77f1fd2a18b = $_1f24efd4735b7a11b391147435e7d35d->fetchAllValues();
        return $_5882c836e9757b405d08e77f1fd2a18b;
    }
}